#vider la mmoire
rm(list=ls())

#changement de rpertoire
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/fact_analysis/afcm")

#chargement des donnes
donnees <- read.table(file="loisirs.txt",header=T,sep="\t")
summary(donnees)

#*************************
#calcul du tableau de BURT
#*************************
library(ade4)
#slectionner les variables actives
donnees.active <- subset(donnees,select=1:18)
#construire le tableau de burt
tableau.burt <- acm.burt(donnees.active,donnees.active)
#le copier dans le presse-papier Windows
write.table(tableau.burt,"clipboard",sep="\t",row.names=T,col.names=T)
#calculer le khi-2
print(chisq.test(tableau.burt))

#**************
#AFCM avec ADE4
#**************

#chargement du package
library(ade4)

#indicatrices des var. actives
indicators.active <- acm.disjonctif(subset(donnees,select=1:18))

#acm sur variables actives
ade4.acm <- dudi.coa(indicators.active,scannf=F,nf=2)

#eigenvalues
print(ade4.acm$eig)

#scatterplot
scatter(ade4.acm)

#coordonnes
print(ade4.acm$co)

#evaluation des colonnes
eval.acm <- inertia.dudi(ade4.acm,col.inertia=T)

#contributions
print(eval.acm$col.abs/100)

#cos2 (sign) + inertia  la mode SAS
print(eval.acm$col.rel/100)

#colonnes supplementaires - var. catgorielles
indicators.sup <- acm.disjonctif(subset(donnees,select=19:22))
colsup <- supcol(ade4.acm,indicators.sup)
print(colsup$cosup)

#colonne supplmentaire - var. quantitatvie
correl <- sapply(ade4.acm$li,function(x){cor(x,donnees$nb_activitees)})
print(correl)


